<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Package com.here.android.mpa.routing (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package com.here.android.mpa.routing (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package com.here.android.mpa.routing" class="title">Uses of Package<br>com.here.android.mpa.routing</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.electronic_horizon">com.here.android.mpa.electronic_horizon</a></td>
<td class="colLast">
<div class="block">
    The package electronic_horizon provides classes, interfaces, and enumerations that allow your application to support electronic horizon and adasis v2 engine.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.here.android.mpa.guidance">com.here.android.mpa.guidance</a></td>
<td class="colLast">
<div class="block">
        This 
        package includes classes, interfaces, and enumerations
        related to guidance and turn-by-turn navigation,  
        used by other packages in the APIs for Android SDK.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.isoline">com.here.android.mpa.isoline</a></td>
<td class="colLast"> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.here.android.mpa.mapping">com.here.android.mpa.mapping</a></td>
<td class="colLast">
<div class="block">The mapping
        package provides classes, interfaces, and enumerations that display an
        interactive map, and related functionality that allows your application
        to create and add map content.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.prefetcher">com.here.android.mpa.prefetcher</a></td>
<td class="colLast">
<div class="block">
    The package prefetcher provides classes, interfaces, and enumerations that
    allow your application to explicitly create a request for map data as an alternative
    to panning a <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a> to implicitly download map
    data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.here.android.mpa.routing">com.here.android.mpa.routing</a></td>
<td class="colLast">
<div class="block">This
        package provides classes, interfaces, and enumerations for route calculation and
        route description (directions).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.tce">com.here.android.mpa.tce</a></td>
<td class="colLast">
<div class="block">
    The package tce (Toll Cost Extension) provides classes, interfaces, and enumerations that allow your application to easily access Toll Cost Extension REST API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.here.android.mpa.venues3d">com.here.android.mpa.venues3d</a></td>
<td class="colLast">
<div class="block">
    This package provides facilities to search and display objects representing three-dimensional
    views of venues.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.electronic_horizon">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/electronic_horizon/package-summary.html">com.here.android.mpa.electronic_horizon</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.electronic_horizon">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.guidance">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.html#com.here.android.mpa.guidance">Maneuver</a>
<div class="block">Represents the action required to leave one street segment and enter the next in the chain of
 directions that comprises a calculated <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.Action.html#com.here.android.mpa.guidance">Maneuver.Action</a>
<div class="block">Represents values describing the possible actions of a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.guidance">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.TrafficPenaltyMode.html#com.here.android.mpa.guidance">Route.TrafficPenaltyMode</a>
<div class="block">Defines the possible traffic penalty modes used for route calculation and traffic event
 handling.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteElement.html#com.here.android.mpa.guidance">RouteElement</a>
<div class="block">Represents an element within a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteElements.html#com.here.android.mpa.guidance">RouteElements</a>
<div class="block">Holds the list of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> objects obtained from the
 <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.html#com.here.android.mpa.guidance">RouteOptions</a>
<div class="block">This is the definition of the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteResult.html#com.here.android.mpa.guidance">RouteResult</a>
<div class="block">This is the definition of the RouteResult class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteTta.html#com.here.android.mpa.guidance">RouteTta</a>
<div class="block">Describes Time To Arrival details for a given route.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RoutingError.html#com.here.android.mpa.guidance">RoutingError</a>
<div class="block">Represents values describing possible route calculation errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TruckRestriction.html#com.here.android.mpa.guidance">TruckRestriction</a>
<div class="block">Gives information about the truck restriction, e.g.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.isoline">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/isoline/package-summary.html">com.here.android.mpa.isoline</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.html#com.here.android.mpa.isoline">RouteOptions</a>
<div class="block">This is the definition of the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteWaypoint.html#com.here.android.mpa.isoline">RouteWaypoint</a>
<div class="block">Represents a waypoint to be used in a route calculation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.mapping">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/mapping/package-summary.html">com.here.android.mpa.mapping</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.mapping">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.prefetcher">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/prefetcher/package-summary.html">com.here.android.mpa.prefetcher</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.prefetcher">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.routing">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/ConsumptionParameters.html#com.here.android.mpa.routing">ConsumptionParameters</a>
<div class="block">Stores information about consumption parameters of vehicle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/ConsumptionParameters.ConsumptionForSpeed.html#com.here.android.mpa.routing">ConsumptionParameters.ConsumptionForSpeed</a>
<div class="block">Specifies consumption per meter for different travel speeds.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/ConsumptionParameters.TrafficScale.html#com.here.android.mpa.routing">ConsumptionParameters.TrafficScale</a>
<div class="block">Defines the traffic speed/free-flow speed adjustment scale.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/CoreRouter.html#com.here.android.mpa.routing">CoreRouter</a>
<div class="block">Route calculation executor handling core routing types (Car, Truck, Pedestrian).</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/CoreRouter.Connectivity.html#com.here.android.mpa.routing">CoreRouter.Connectivity</a>
<div class="block">The possible types of connectivity for route calculation</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/DrivingDirection.html#com.here.android.mpa.routing">DrivingDirection</a>
<div class="block">Enumeration for driving direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/DynamicPenalty.html#com.here.android.mpa.routing">DynamicPenalty</a>
<div class="block">This class represents a policy containing road, area, and traffic restriction factors that are taken
 into account while calculating routes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.html#com.here.android.mpa.routing">Maneuver</a>
<div class="block">Represents the action required to leave one street segment and enter the next in the chain of
 directions that comprises a calculated <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.Action.html#com.here.android.mpa.routing">Maneuver.Action</a>
<div class="block">Represents values describing the possible actions of a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.Icon.html#com.here.android.mpa.routing">Maneuver.Icon</a>
<div class="block">Represents values describing types of <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a> icons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.TrafficDirection.html#com.here.android.mpa.routing">Maneuver.TrafficDirection</a>
<div class="block">Represents values describing possible traffic directions, the side of road on which one must
 drive.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.Turn.html#com.here.android.mpa.routing">Maneuver.Turn</a>
<div class="block">Represents values describing possible turns within a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.routing">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.DeserializationCallback.html#com.here.android.mpa.routing">Route.DeserializationCallback</a>
<div class="block">Callback interface for when deserialization is done, passed to deserializeAsync.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.DeserializationResult.html#com.here.android.mpa.routing">Route.DeserializationResult</a>
<div class="block">Represents the result of a Route de-serialization</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.EtaValidity.html#com.here.android.mpa.routing">Route.EtaValidity</a>
<div class="block">Enumeration used for calculating the estimated time of arrival(ETA).</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.SerializationCallback.html#com.here.android.mpa.routing">Route.SerializationCallback</a>
<div class="block">Callback interface for when serialization is done, passed to serializeAsync.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.SerializationResult.html#com.here.android.mpa.routing">Route.SerializationResult</a>
<div class="block">Represents the result of a Route serialization</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.SerializerError.html#com.here.android.mpa.routing">Route.SerializerError</a>
<div class="block">Represents values describing possible route serialization errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.TrafficPenaltyMode.html#com.here.android.mpa.routing">Route.TrafficPenaltyMode</a>
<div class="block">Defines the possible traffic penalty modes used for route calculation and traffic event
 handling.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteConsumption.html#com.here.android.mpa.routing">RouteConsumption</a>
<div class="block">Route consumptions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteElement.html#com.here.android.mpa.routing">RouteElement</a>
<div class="block">Represents an element within a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteElement.TravelDirection.html#com.here.android.mpa.routing">RouteElement.TravelDirection</a>
<div class="block">Represents values describing the possible travel directions of a <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteElement.Type.html#com.here.android.mpa.routing">RouteElement.Type</a>
<div class="block">Represents values describing the possible types of a <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteElements.html#com.here.android.mpa.routing">RouteElements</a>
<div class="block">Holds the list of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> objects obtained from the
 <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.html#com.here.android.mpa.routing">RouteOptions</a>
<div class="block">This is the definition of the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.HazardousGoodType.html#com.here.android.mpa.routing">RouteOptions.HazardousGoodType</a>
<div class="block">Defines names for different types of hazardous goods that can be transported by a truck.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.PublicTransportLinkFlag.html#com.here.android.mpa.routing">RouteOptions.PublicTransportLinkFlag</a>
<div class="block">Public Transport Link Flag.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.SpeedProfile.html#com.here.android.mpa.routing">RouteOptions.SpeedProfile</a>
<div class="block">Route calculation vehicle speed profile.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.TimeType.html#com.here.android.mpa.routing">RouteOptions.TimeType</a>
<div class="block">Ways that the time can be specified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.TransportMode.html#com.here.android.mpa.routing">RouteOptions.TransportMode</a>
<div class="block">Represents values describing different mode of transportation a person will be using.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.TruckRestrictionsMode.html#com.here.android.mpa.routing">RouteOptions.TruckRestrictionsMode</a>
<div class="block">Defines way of handling road segments on which violated static truck restriction applies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.TruckType.html#com.here.android.mpa.routing">RouteOptions.TruckType</a>
<div class="block">Defines names for different types of trucks.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.TunnelCategory.html#com.here.android.mpa.routing">RouteOptions.TunnelCategory</a>
<div class="block">Specify the ADR tunnel category to restrict the truck route to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.Type.html#com.here.android.mpa.routing">RouteOptions.Type</a>
<div class="block">Represents different types of routing, such as by speed or by distance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RoutePlan.html#com.here.android.mpa.routing">RoutePlan</a>
<div class="block"><code>RoutePlan</code> contains all information needed to calculate a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Router.html#com.here.android.mpa.routing">Router</a>
<div class="block">Base interface for route calculation class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Router.Listener.html#com.here.android.mpa.routing">Router.Listener</a> </td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteResult.html#com.here.android.mpa.routing">RouteResult</a>
<div class="block">This is the definition of the RouteResult class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteResult.ViolatedOption.html#com.here.android.mpa.routing">RouteResult.ViolatedOption</a>
<div class="block">These are options which may be ignored by the routing engine; in such
 cases a list of violated options is returned in the listener's on_end() method.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteTta.html#com.here.android.mpa.routing">RouteTta</a>
<div class="block">Describes Time To Arrival details for a given route.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteTta.Detail.html#com.here.android.mpa.routing">RouteTta.Detail</a>
<div class="block">Additional Time To Arrival Details</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteWaypoint.html#com.here.android.mpa.routing">RouteWaypoint</a>
<div class="block">Represents a waypoint to be used in a route calculation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteWaypoint.RoadInfo.html#com.here.android.mpa.routing">RouteWaypoint.RoadInfo</a>
<div class="block">Exposes additional information about RouteWaypoint, mainly the side of the road it's on.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteWaypoint.RoadInfo.RoadSide.html#com.here.android.mpa.routing">RouteWaypoint.RoadInfo.RoadSide</a>
<div class="block">Represents side of the road, used to indicate position relative to a road, according to
 travel direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteWaypoint.Type.html#com.here.android.mpa.routing">RouteWaypoint.Type</a>
<div class="block">Represents different types of waypoints.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteWaypoint.WaypointDirection.html#com.here.android.mpa.routing">RouteWaypoint.WaypointDirection</a>
<div class="block">Represents different waypoint direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RoutingError.html#com.here.android.mpa.routing">RoutingError</a>
<div class="block">Represents values describing possible route calculation errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RoutingZone.html#com.here.android.mpa.routing">RoutingZone</a>
<div class="block">Class provides basic information about the routing zone and can be passed as an option to
 routing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RoutingZone.Type.html#com.here.android.mpa.routing">RoutingZone.Type</a>
<div class="block">Defines possible routing zone types used for zone exclusions from route during calculation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Signpost.html#com.here.android.mpa.routing">Signpost</a>
<div class="block">This class stores signpost information along the <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Signpost.LocalizedLabel.html#com.here.android.mpa.routing">Signpost.LocalizedLabel</a>
<div class="block">Signpost information can be used for navigation (both audible and
 graphical/textual navigation) and map display.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitManeuver.TransitLineStyle.html#com.here.android.mpa.routing">TransitManeuver.TransitLineStyle</a>
<div class="block">Represents values describing different line styles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitRouteElement.html#com.here.android.mpa.routing">TransitRouteElement</a>
<div class="block">Represents an element within a transit-specific <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitRouteSourceAttribution.html#com.here.android.mpa.routing">TransitRouteSourceAttribution</a>
<div class="block">This class contains copyright notices that must be displayed to the end user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitRouteStop.html#com.here.android.mpa.routing">TransitRouteStop</a>
<div class="block">This is a public transit stop within a calculated transit <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitRouteStop.Attribute.html#com.here.android.mpa.routing">TransitRouteStop.Attribute</a>
<div class="block">Represents values describing different attributes for a
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing"><code>TransitRouteStop</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitRouteSupplier.html#com.here.android.mpa.routing">TransitRouteSupplier</a>
<div class="block">This class contains structured information about a source data supplier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TransitRouteSupplierNote.html#com.here.android.mpa.routing">TransitRouteSupplierNote</a>
<div class="block">This class contains giving additional information about the supplier.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TruckRestriction.HazMat.html#com.here.android.mpa.routing">TruckRestriction.HazMat</a>
<div class="block">Represents truck hazardous material type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TruckRestriction.TrailerType.html#com.here.android.mpa.routing">TruckRestriction.TrailerType</a>
<div class="block">Represents restriction on a link or lane related to trucks with a specified number of
 trailers.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TruckRestriction.Type.html#com.here.android.mpa.routing">TruckRestriction.Type</a>
<div class="block">Represents truck restriction type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/TruckRestriction.WeatherType.html#com.here.android.mpa.routing">TruckRestriction.WeatherType</a>
<div class="block">Represents weather condition restriction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMCalculateResult.html#com.here.android.mpa.routing">UMCalculateResult</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMCalculateResult.ViolatedOption.html#com.here.android.mpa.routing">UMCalculateResult.ViolatedOption</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">These are options which might not be taken into account when calculating the
 <a href="../../../../../com/here/android/mpa/routing/UMCalculateResult.html" title="class in com.here.android.mpa.routing"><code>UMCalculateResult</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMRoute.html#com.here.android.mpa.routing">UMRoute</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMRouteOptions.html#com.here.android.mpa.routing">UMRouteOptions</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMRouter.html#com.here.android.mpa.routing">UMRouter</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMRouter.SubsequentRouteType.html#com.here.android.mpa.routing">UMRouter.SubsequentRouteType</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Defines if earlier or later routes should be requested.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/UMRouteResult.html#com.here.android.mpa.routing">UMRouteResult</a>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.tce">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/tce/package-summary.html">com.here.android.mpa.tce</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.tce">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.venues3d">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/routing/package-summary.html">com.here.android.mpa.routing</a> used by <a href="../../../../../com/here/android/mpa/venues3d/package-summary.html">com.here.android.mpa.venues3d</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Maneuver.Turn.html#com.here.android.mpa.venues3d">Maneuver.Turn</a>
<div class="block">Represents values describing possible turns within a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/Route.html#com.here.android.mpa.venues3d">Route</a>
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RouteOptions.html#com.here.android.mpa.venues3d">RouteOptions</a>
<div class="block">This is the definition of the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/routing/class-use/RoutingError.html#com.here.android.mpa.venues3d">RoutingError</a>
<div class="block">Represents values describing possible route calculation errors.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
